AuthStatus (JASPIC 3.1 API Documentation - Apache Tomcat 11.0.23)
Description: declaration: package: jakarta.security.auth.message, class: AuthStatus

# Class AuthStatus

java.lang.Object
jakarta.security.auth.message.AuthStatus

public class AuthStatus extends Object
Represents the status returned by JASPIC authentication operations. The authentication status indicates whether authentication succeeded, failed, or requires further message exchange.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AuthStatus`
  `FAILURE`
  Authentication failed and no further message exchange will change the outcome.
  `static final AuthStatus`
  `SEND_CONTINUE`
  Authentication is in progress and further message exchange is required.
  `static final AuthStatus`
  `SEND_FAILURE`
  Authentication failed and the failure response should be sent to the peer.
  `static final AuthStatus`
  `SEND_SUCCESS`
  Authentication succeeded and the response should be sent to the peer.
  `static final AuthStatus`
  `SUCCESS`
  Authentication succeeded and no further message exchange is required.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SUCCESS

    public static final AuthStatus SUCCESS
    Authentication succeeded and no further message exchange is required.

  - ### FAILURE

    public static final AuthStatus FAILURE
    Authentication failed and no further message exchange will change the outcome.

  - ### SEND_SUCCESS

    public static final AuthStatus SEND_SUCCESS
    Authentication succeeded and the response should be sent to the peer.

  - ### SEND_FAILURE

    public static final AuthStatus SEND_FAILURE
    Authentication failed and the failure response should be sent to the peer.

  - ### SEND_CONTINUE

    public static final AuthStatus SEND_CONTINUE
    Authentication is in progress and further message exchange is required.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`